> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/objects/workload.md).

# workload

Defines Kubernetes workload information.

### Examples

```graphql
type Workload {
  type: String
  namespace: String
  name: String
  cluster: String
  region: String
  isExposed: String
  consoleLink: String
  exposurePath: [ExposurePathItem]
}
```

### Fields

| Field                                                                                                                         | Description                                                  | Supported fields                                                                          |
| ----------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------ | ----------------------------------------------------------------------------------------- |
| type `String`                                                                                                                 | Type of Kubernetes workload (Deployment, Pod, Service, etc.) |                                                                                           |
| namespace `String`                                                                                                            | Kubernetes namespace                                         |                                                                                           |
| name `String`                                                                                                                 | Name of the workload                                         |                                                                                           |
| cluster `String`                                                                                                              | Kubernetes cluster name                                      |                                                                                           |
| region `String`                                                                                                               | Cloud region where the cluster is located                    |                                                                                           |
| isExposed `String`                                                                                                            | Whether the workload is exposed to external traffic          |                                                                                           |
| consoleLink `String`                                                                                                          | URL link to view the workload in the cloud console           |                                                                                           |
| exposurePath [`[ExposurePathItem]`](/api-documentation/api-reference/api--cloud-security/types/objects/exposure-path-item.md) | Path showing how the workload is exposed                     | <p>type <code>String</code><br>name <code>String</code><br>cbomId <code>String</code></p> |

### References

#### Fields with this object:

* [{} CloudItem.workloads](/api-documentation/api-reference/api--cloud-security/types/objects/cloud-item.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/objects/workload.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
